import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { SobreDoencasService } from 'src/app/services/sobre-doencas/sobre-doencas.service';

@Component({
  selector: 'app-info-doenca',
  templateUrl: './info-doenca.component.html',
  styleUrls: ['./info-doenca.component.css']
})
export class InfoDoencaComponent implements OnInit {
  searchTerms: string = '';
  todasDoencas: any[] = [];
  doencasMaisBuscadas: any[] = [];

  get doencas() {
    if (!this.searchTerms || this.searchTerms === '') return this.doencasMaisBuscadas;

    return this.todasDoencas;
  }

  constructor(private sobreDoencaService: SobreDoencasService, private router: Router) { }

  ngOnInit() {
    this.carregarDoencas();
  }

  carregarDoencas() {
    this.sobreDoencaService.buscarDoencas().subscribe(
      response => {
        this.todasDoencas = response;
      },
      error => {
        console.error(error);
      }
    );

    this.sobreDoencaService.buscarDoencasMaisBuscadas().subscribe(
      response => {
        this.doencasMaisBuscadas = response;
      },
      error => {
        console.error(error);
      }
    );
  }

  abrirDoenca(id: any) {
    this.router.navigateByUrl(`/tela-doencas/${id}`);
  }
}
